Bug 1328478 - (CVE-2016-3955) CVE-2016-3955 Kernel: usbip: buffer overflow by trusting length of incoming packets
CVE-2016-3955 Kernel: usbip: buffer overflow by trusting length of incoming p...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160317,repo...
: Security
Depends On: 1328479
Blocks: 1328424
  Show dependency treegraph
 
Reported: 2016-04-19 09:31 EDT by Prasad J Pandit
Modified: 2018-02-07 18:13 EST (History)
31 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2016-04-19 09:31:52 EDT
Linux kernel built with the USB over IP(CONFIG_USBIP_*) support is vulnerable
to a buffer overflow issue. It could occur while receiving USB/IP packets, when
the size value in the packet is greater actual transfer buffer.

A user/process could use this flaw to crash the remote host via kernel
memory corruption or potentially execute arbitrary code.

Upstream patch:
---------------
  -> https://git.kernel.org/linus/b348d7dddb6c4fbfc810b7a0626e8ec9e29f7cbb

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/04/19/1
Comment 1 Prasad J Pandit 2016-04-19 09:32:51 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1328479]
Comment 2 Prasad J Pandit 2016-04-19 09:34:42 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2.
Comment 4 Fedora Update System 2016-04-23 19:43:43 EDT
binutils-2.26-18.fc24, kernel-4.5.2-301.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2016-04-27 17:50:39 EDT
kernel-4.4.8-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2016-05-06 15:52:41 EDT
kernel-4.4.8-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.